package com.yunfeiyun.agmp.fms.domain.resvo;

import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

@Data
public class WmsStockAppMapResVoItem {
    private String goodsType;
    private String goodsTypeName;
    private List<WmsStockListResVo> goodsList;

    public List<WmsStockListResVo> getGoodsList(){
        if(CollectionUtils.isEmpty(goodsList)){
            this.goodsList = new ArrayList<>();
        }
        return this.goodsList;
    }
}